# Class Ellipsoid

java.lang.Object
org.jmol.shapespecial.Ellipsoid

public class Ellipsoid extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`P3`
`center`
`short`
`colix`
`Map<String,Object>`
`info`
`boolean`
`isValid`
`String`
`label`
`String`
`options`
`Tensor`
`tensor`
`boolean`
`visible`

## Method Summary

Modifier and Type
Method
Description
`static Ellipsoid`
`getEllipsoidForAtomTensor(Tensor t, Atom center)`
`static Ellipsoid`
`getEmptyEllipsoid(String id, int modelIndex)`
`static void`
`getEquationForQuadricWithCenter(float x, float y, float z, M3 mToElliptical, V3 vTemp, M3 mTemp, double[] coef, M4 mDeriv)`
`float`
`getLength(int i)`
`static final float`
`getThermalRadius(int prob)`
`void`
`scaleAxes(float[] value)`
`void`
`setCenter(P3 center)`
`void`
`setLengths()`
`void`
`setScale(float scale, boolean isPercent)`
`protected void`
`setTensor(Tensor tensor)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### colix

public short colix

### visible

public boolean visible

### isValid

public boolean isValid

### center

public P3 center

### tensor

public Tensor tensor

### options

public String options

### info

public Map<String,Object> info

### label

public String label

## Method Details

### getEmptyEllipsoid

public static Ellipsoid getEmptyEllipsoid(String id, int modelIndex)

### getEllipsoidForAtomTensor

public static Ellipsoid getEllipsoidForAtomTensor(Tensor t, Atom center)

### setCenter

public void setCenter(P3 center)

### getLength

public float getLength(int i)

### scaleAxes

public void scaleAxes(float[] value)

### setLengths

public void setLengths()

### setScale

public void setScale(float scale, boolean isPercent)

### getThermalRadius

public static final float getThermalRadius(int prob)

### setTensor

protected void setTensor(Tensor tensor)

### getEquationForQuadricWithCenter

public static void getEquationForQuadricWithCenter(float x, float y, float z, M3 mToElliptical, V3 vTemp, M3 mTemp, double[] coef, M4 mDeriv)